Skip to content

Set a new password with a reset link's token

POST
/v1/auth/password-reset/confirm
curl --request POST \
--url https://example.com/v1/auth/password-reset/confirm \
--header 'Content-Type: application/json' \
--data '{ "password": "example", "token": "example" }'

Who: anyone.

Media typeapplication/json
object
password
required
string
token
required
string

Example generated

{
"password": "example",
"token": "example"
}

Done; no body

An error, as go-commons apperr maps it

Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string

Example generated

{
"error": {
"code": "example",
"fields": {
"additionalProperty": "example"
},
"message": "example"
}
}